Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network170.2.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
170.2.0.0
Broadcast address
170.3.255.255
First usable
170.2.0.1
Last usable
170.3.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
B (default /16)
As numbers
Hex AA020000 · Integer 2852257792 to 2852388863
Reverse DNS zones
2.170.in-addr.arpa
3.170.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101010.00000010.00000000.00000000170.2.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network10101010.00000010.00000000.00000000170.2.0.0
Broadcast10101010.00000011.11111111.11111111170.3.255.255
Split into smaller subnets/23

170.2.0.0/15 makes 256 subnets of /23.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1170.2.0.0/23170.2.0.1 to 170.2.1.254170.2.1.255510
2170.2.2.0/23170.2.2.1 to 170.2.3.254170.2.3.255510
3170.2.4.0/23170.2.4.1 to 170.2.5.254170.2.5.255510
4170.2.6.0/23170.2.6.1 to 170.2.7.254170.2.7.255510
5170.2.8.0/23170.2.8.1 to 170.2.9.254170.2.9.255510
6170.2.10.0/23170.2.10.1 to 170.2.11.254170.2.11.255510
7170.2.12.0/23170.2.12.1 to 170.2.13.254170.2.13.255510
8170.2.14.0/23170.2.14.1 to 170.2.15.254170.2.15.255510
9170.2.16.0/23170.2.16.1 to 170.2.17.254170.2.17.255510
10170.2.18.0/23170.2.18.1 to 170.2.19.254170.2.19.255510
11170.2.20.0/23170.2.20.1 to 170.2.21.254170.2.21.255510
12170.2.22.0/23170.2.22.1 to 170.2.23.254170.2.23.255510
13170.2.24.0/23170.2.24.1 to 170.2.25.254170.2.25.255510
14170.2.26.0/23170.2.26.1 to 170.2.27.254170.2.27.255510
15170.2.28.0/23170.2.28.1 to 170.2.29.254170.2.29.255510
16170.2.30.0/23170.2.30.1 to 170.2.31.254170.2.31.255510
17170.2.32.0/23170.2.32.1 to 170.2.33.254170.2.33.255510
18170.2.34.0/23170.2.34.1 to 170.2.35.254170.2.35.255510
19170.2.36.0/23170.2.36.1 to 170.2.37.254170.2.37.255510
20170.2.38.0/23170.2.38.1 to 170.2.39.254170.2.39.255510
21170.2.40.0/23170.2.40.1 to 170.2.41.254170.2.41.255510
22170.2.42.0/23170.2.42.1 to 170.2.43.254170.2.43.255510
23170.2.44.0/23170.2.44.1 to 170.2.45.254170.2.45.255510
24170.2.46.0/23170.2.46.1 to 170.2.47.254170.2.47.255510
25170.2.48.0/23170.2.48.1 to 170.2.49.254170.2.49.255510
26170.2.50.0/23170.2.50.1 to 170.2.51.254170.2.51.255510
27170.2.52.0/23170.2.52.1 to 170.2.53.254170.2.53.255510
28170.2.54.0/23170.2.54.1 to 170.2.55.254170.2.55.255510
29170.2.56.0/23170.2.56.1 to 170.2.57.254170.2.57.255510
30170.2.58.0/23170.2.58.1 to 170.2.59.254170.2.59.255510
31170.2.60.0/23170.2.60.1 to 170.2.61.254170.2.61.255510
32170.2.62.0/23170.2.62.1 to 170.2.63.254170.2.63.255510
33170.2.64.0/23170.2.64.1 to 170.2.65.254170.2.65.255510
34170.2.66.0/23170.2.66.1 to 170.2.67.254170.2.67.255510
35170.2.68.0/23170.2.68.1 to 170.2.69.254170.2.69.255510
36170.2.70.0/23170.2.70.1 to 170.2.71.254170.2.71.255510
37170.2.72.0/23170.2.72.1 to 170.2.73.254170.2.73.255510
38170.2.74.0/23170.2.74.1 to 170.2.75.254170.2.75.255510
39170.2.76.0/23170.2.76.1 to 170.2.77.254170.2.77.255510
40170.2.78.0/23170.2.78.1 to 170.2.79.254170.2.79.255510
41170.2.80.0/23170.2.80.1 to 170.2.81.254170.2.81.255510
42170.2.82.0/23170.2.82.1 to 170.2.83.254170.2.83.255510
43170.2.84.0/23170.2.84.1 to 170.2.85.254170.2.85.255510
44170.2.86.0/23170.2.86.1 to 170.2.87.254170.2.87.255510
45170.2.88.0/23170.2.88.1 to 170.2.89.254170.2.89.255510
46170.2.90.0/23170.2.90.1 to 170.2.91.254170.2.91.255510
47170.2.92.0/23170.2.92.1 to 170.2.93.254170.2.93.255510
48170.2.94.0/23170.2.94.1 to 170.2.95.254170.2.95.255510
49170.2.96.0/23170.2.96.1 to 170.2.97.254170.2.97.255510
50170.2.98.0/23170.2.98.1 to 170.2.99.254170.2.99.255510
51170.2.100.0/23170.2.100.1 to 170.2.101.254170.2.101.255510
52170.2.102.0/23170.2.102.1 to 170.2.103.254170.2.103.255510
53170.2.104.0/23170.2.104.1 to 170.2.105.254170.2.105.255510
54170.2.106.0/23170.2.106.1 to 170.2.107.254170.2.107.255510
55170.2.108.0/23170.2.108.1 to 170.2.109.254170.2.109.255510
56170.2.110.0/23170.2.110.1 to 170.2.111.254170.2.111.255510
57170.2.112.0/23170.2.112.1 to 170.2.113.254170.2.113.255510
58170.2.114.0/23170.2.114.1 to 170.2.115.254170.2.115.255510
59170.2.116.0/23170.2.116.1 to 170.2.117.254170.2.117.255510
60170.2.118.0/23170.2.118.1 to 170.2.119.254170.2.119.255510
61170.2.120.0/23170.2.120.1 to 170.2.121.254170.2.121.255510
62170.2.122.0/23170.2.122.1 to 170.2.123.254170.2.123.255510
63170.2.124.0/23170.2.124.1 to 170.2.125.254170.2.125.255510
64170.2.126.0/23170.2.126.1 to 170.2.127.254170.2.127.255510
65170.2.128.0/23170.2.128.1 to 170.2.129.254170.2.129.255510
66170.2.130.0/23170.2.130.1 to 170.2.131.254170.2.131.255510
67170.2.132.0/23170.2.132.1 to 170.2.133.254170.2.133.255510
68170.2.134.0/23170.2.134.1 to 170.2.135.254170.2.135.255510
69170.2.136.0/23170.2.136.1 to 170.2.137.254170.2.137.255510
70170.2.138.0/23170.2.138.1 to 170.2.139.254170.2.139.255510
71170.2.140.0/23170.2.140.1 to 170.2.141.254170.2.141.255510
72170.2.142.0/23170.2.142.1 to 170.2.143.254170.2.143.255510
73170.2.144.0/23170.2.144.1 to 170.2.145.254170.2.145.255510
74170.2.146.0/23170.2.146.1 to 170.2.147.254170.2.147.255510
75170.2.148.0/23170.2.148.1 to 170.2.149.254170.2.149.255510
76170.2.150.0/23170.2.150.1 to 170.2.151.254170.2.151.255510
77170.2.152.0/23170.2.152.1 to 170.2.153.254170.2.153.255510
78170.2.154.0/23170.2.154.1 to 170.2.155.254170.2.155.255510
79170.2.156.0/23170.2.156.1 to 170.2.157.254170.2.157.255510
80170.2.158.0/23170.2.158.1 to 170.2.159.254170.2.159.255510
81170.2.160.0/23170.2.160.1 to 170.2.161.254170.2.161.255510
82170.2.162.0/23170.2.162.1 to 170.2.163.254170.2.163.255510
83170.2.164.0/23170.2.164.1 to 170.2.165.254170.2.165.255510
84170.2.166.0/23170.2.166.1 to 170.2.167.254170.2.167.255510
85170.2.168.0/23170.2.168.1 to 170.2.169.254170.2.169.255510
86170.2.170.0/23170.2.170.1 to 170.2.171.254170.2.171.255510
87170.2.172.0/23170.2.172.1 to 170.2.173.254170.2.173.255510
88170.2.174.0/23170.2.174.1 to 170.2.175.254170.2.175.255510
89170.2.176.0/23170.2.176.1 to 170.2.177.254170.2.177.255510
90170.2.178.0/23170.2.178.1 to 170.2.179.254170.2.179.255510
91170.2.180.0/23170.2.180.1 to 170.2.181.254170.2.181.255510
92170.2.182.0/23170.2.182.1 to 170.2.183.254170.2.183.255510
93170.2.184.0/23170.2.184.1 to 170.2.185.254170.2.185.255510
94170.2.186.0/23170.2.186.1 to 170.2.187.254170.2.187.255510
95170.2.188.0/23170.2.188.1 to 170.2.189.254170.2.189.255510
96170.2.190.0/23170.2.190.1 to 170.2.191.254170.2.191.255510
97170.2.192.0/23170.2.192.1 to 170.2.193.254170.2.193.255510
98170.2.194.0/23170.2.194.1 to 170.2.195.254170.2.195.255510
99170.2.196.0/23170.2.196.1 to 170.2.197.254170.2.197.255510
100170.2.198.0/23170.2.198.1 to 170.2.199.254170.2.199.255510
101170.2.200.0/23170.2.200.1 to 170.2.201.254170.2.201.255510
102170.2.202.0/23170.2.202.1 to 170.2.203.254170.2.203.255510
103170.2.204.0/23170.2.204.1 to 170.2.205.254170.2.205.255510
104170.2.206.0/23170.2.206.1 to 170.2.207.254170.2.207.255510
105170.2.208.0/23170.2.208.1 to 170.2.209.254170.2.209.255510
106170.2.210.0/23170.2.210.1 to 170.2.211.254170.2.211.255510
107170.2.212.0/23170.2.212.1 to 170.2.213.254170.2.213.255510
108170.2.214.0/23170.2.214.1 to 170.2.215.254170.2.215.255510
109170.2.216.0/23170.2.216.1 to 170.2.217.254170.2.217.255510
110170.2.218.0/23170.2.218.1 to 170.2.219.254170.2.219.255510
111170.2.220.0/23170.2.220.1 to 170.2.221.254170.2.221.255510
112170.2.222.0/23170.2.222.1 to 170.2.223.254170.2.223.255510
113170.2.224.0/23170.2.224.1 to 170.2.225.254170.2.225.255510
114170.2.226.0/23170.2.226.1 to 170.2.227.254170.2.227.255510
115170.2.228.0/23170.2.228.1 to 170.2.229.254170.2.229.255510
116170.2.230.0/23170.2.230.1 to 170.2.231.254170.2.231.255510
117170.2.232.0/23170.2.232.1 to 170.2.233.254170.2.233.255510
118170.2.234.0/23170.2.234.1 to 170.2.235.254170.2.235.255510
119170.2.236.0/23170.2.236.1 to 170.2.237.254170.2.237.255510
120170.2.238.0/23170.2.238.1 to 170.2.239.254170.2.239.255510
121170.2.240.0/23170.2.240.1 to 170.2.241.254170.2.241.255510
122170.2.242.0/23170.2.242.1 to 170.2.243.254170.2.243.255510
123170.2.244.0/23170.2.244.1 to 170.2.245.254170.2.245.255510
124170.2.246.0/23170.2.246.1 to 170.2.247.254170.2.247.255510
125170.2.248.0/23170.2.248.1 to 170.2.249.254170.2.249.255510
126170.2.250.0/23170.2.250.1 to 170.2.251.254170.2.251.255510
127170.2.252.0/23170.2.252.1 to 170.2.253.254170.2.253.255510
128170.2.254.0/23170.2.254.1 to 170.2.255.254170.2.255.255510
129170.3.0.0/23170.3.0.1 to 170.3.1.254170.3.1.255510
130170.3.2.0/23170.3.2.1 to 170.3.3.254170.3.3.255510
131170.3.4.0/23170.3.4.1 to 170.3.5.254170.3.5.255510
132170.3.6.0/23170.3.6.1 to 170.3.7.254170.3.7.255510
133170.3.8.0/23170.3.8.1 to 170.3.9.254170.3.9.255510
134170.3.10.0/23170.3.10.1 to 170.3.11.254170.3.11.255510
135170.3.12.0/23170.3.12.1 to 170.3.13.254170.3.13.255510
136170.3.14.0/23170.3.14.1 to 170.3.15.254170.3.15.255510
137170.3.16.0/23170.3.16.1 to 170.3.17.254170.3.17.255510
138170.3.18.0/23170.3.18.1 to 170.3.19.254170.3.19.255510
139170.3.20.0/23170.3.20.1 to 170.3.21.254170.3.21.255510
140170.3.22.0/23170.3.22.1 to 170.3.23.254170.3.23.255510
141170.3.24.0/23170.3.24.1 to 170.3.25.254170.3.25.255510
142170.3.26.0/23170.3.26.1 to 170.3.27.254170.3.27.255510
143170.3.28.0/23170.3.28.1 to 170.3.29.254170.3.29.255510
144170.3.30.0/23170.3.30.1 to 170.3.31.254170.3.31.255510
145170.3.32.0/23170.3.32.1 to 170.3.33.254170.3.33.255510
146170.3.34.0/23170.3.34.1 to 170.3.35.254170.3.35.255510
147170.3.36.0/23170.3.36.1 to 170.3.37.254170.3.37.255510
148170.3.38.0/23170.3.38.1 to 170.3.39.254170.3.39.255510
149170.3.40.0/23170.3.40.1 to 170.3.41.254170.3.41.255510
150170.3.42.0/23170.3.42.1 to 170.3.43.254170.3.43.255510
151170.3.44.0/23170.3.44.1 to 170.3.45.254170.3.45.255510
152170.3.46.0/23170.3.46.1 to 170.3.47.254170.3.47.255510
153170.3.48.0/23170.3.48.1 to 170.3.49.254170.3.49.255510
154170.3.50.0/23170.3.50.1 to 170.3.51.254170.3.51.255510
155170.3.52.0/23170.3.52.1 to 170.3.53.254170.3.53.255510
156170.3.54.0/23170.3.54.1 to 170.3.55.254170.3.55.255510
157170.3.56.0/23170.3.56.1 to 170.3.57.254170.3.57.255510
158170.3.58.0/23170.3.58.1 to 170.3.59.254170.3.59.255510
159170.3.60.0/23170.3.60.1 to 170.3.61.254170.3.61.255510
160170.3.62.0/23170.3.62.1 to 170.3.63.254170.3.63.255510
161170.3.64.0/23170.3.64.1 to 170.3.65.254170.3.65.255510
162170.3.66.0/23170.3.66.1 to 170.3.67.254170.3.67.255510
163170.3.68.0/23170.3.68.1 to 170.3.69.254170.3.69.255510
164170.3.70.0/23170.3.70.1 to 170.3.71.254170.3.71.255510
165170.3.72.0/23170.3.72.1 to 170.3.73.254170.3.73.255510
166170.3.74.0/23170.3.74.1 to 170.3.75.254170.3.75.255510
167170.3.76.0/23170.3.76.1 to 170.3.77.254170.3.77.255510
168170.3.78.0/23170.3.78.1 to 170.3.79.254170.3.79.255510
169170.3.80.0/23170.3.80.1 to 170.3.81.254170.3.81.255510
170170.3.82.0/23170.3.82.1 to 170.3.83.254170.3.83.255510
171170.3.84.0/23170.3.84.1 to 170.3.85.254170.3.85.255510
172170.3.86.0/23170.3.86.1 to 170.3.87.254170.3.87.255510
173170.3.88.0/23170.3.88.1 to 170.3.89.254170.3.89.255510
174170.3.90.0/23170.3.90.1 to 170.3.91.254170.3.91.255510
175170.3.92.0/23170.3.92.1 to 170.3.93.254170.3.93.255510
176170.3.94.0/23170.3.94.1 to 170.3.95.254170.3.95.255510
177170.3.96.0/23170.3.96.1 to 170.3.97.254170.3.97.255510
178170.3.98.0/23170.3.98.1 to 170.3.99.254170.3.99.255510
179170.3.100.0/23170.3.100.1 to 170.3.101.254170.3.101.255510
180170.3.102.0/23170.3.102.1 to 170.3.103.254170.3.103.255510
181170.3.104.0/23170.3.104.1 to 170.3.105.254170.3.105.255510
182170.3.106.0/23170.3.106.1 to 170.3.107.254170.3.107.255510
183170.3.108.0/23170.3.108.1 to 170.3.109.254170.3.109.255510
184170.3.110.0/23170.3.110.1 to 170.3.111.254170.3.111.255510
185170.3.112.0/23170.3.112.1 to 170.3.113.254170.3.113.255510
186170.3.114.0/23170.3.114.1 to 170.3.115.254170.3.115.255510
187170.3.116.0/23170.3.116.1 to 170.3.117.254170.3.117.255510
188170.3.118.0/23170.3.118.1 to 170.3.119.254170.3.119.255510
189170.3.120.0/23170.3.120.1 to 170.3.121.254170.3.121.255510
190170.3.122.0/23170.3.122.1 to 170.3.123.254170.3.123.255510
191170.3.124.0/23170.3.124.1 to 170.3.125.254170.3.125.255510
192170.3.126.0/23170.3.126.1 to 170.3.127.254170.3.127.255510
193170.3.128.0/23170.3.128.1 to 170.3.129.254170.3.129.255510
194170.3.130.0/23170.3.130.1 to 170.3.131.254170.3.131.255510
195170.3.132.0/23170.3.132.1 to 170.3.133.254170.3.133.255510
196170.3.134.0/23170.3.134.1 to 170.3.135.254170.3.135.255510
197170.3.136.0/23170.3.136.1 to 170.3.137.254170.3.137.255510
198170.3.138.0/23170.3.138.1 to 170.3.139.254170.3.139.255510
199170.3.140.0/23170.3.140.1 to 170.3.141.254170.3.141.255510
200170.3.142.0/23170.3.142.1 to 170.3.143.254170.3.143.255510
201170.3.144.0/23170.3.144.1 to 170.3.145.254170.3.145.255510
202170.3.146.0/23170.3.146.1 to 170.3.147.254170.3.147.255510
203170.3.148.0/23170.3.148.1 to 170.3.149.254170.3.149.255510
204170.3.150.0/23170.3.150.1 to 170.3.151.254170.3.151.255510
205170.3.152.0/23170.3.152.1 to 170.3.153.254170.3.153.255510
206170.3.154.0/23170.3.154.1 to 170.3.155.254170.3.155.255510
207170.3.156.0/23170.3.156.1 to 170.3.157.254170.3.157.255510
208170.3.158.0/23170.3.158.1 to 170.3.159.254170.3.159.255510
209170.3.160.0/23170.3.160.1 to 170.3.161.254170.3.161.255510
210170.3.162.0/23170.3.162.1 to 170.3.163.254170.3.163.255510
211170.3.164.0/23170.3.164.1 to 170.3.165.254170.3.165.255510
212170.3.166.0/23170.3.166.1 to 170.3.167.254170.3.167.255510
213170.3.168.0/23170.3.168.1 to 170.3.169.254170.3.169.255510
214170.3.170.0/23170.3.170.1 to 170.3.171.254170.3.171.255510
215170.3.172.0/23170.3.172.1 to 170.3.173.254170.3.173.255510
216170.3.174.0/23170.3.174.1 to 170.3.175.254170.3.175.255510
217170.3.176.0/23170.3.176.1 to 170.3.177.254170.3.177.255510
218170.3.178.0/23170.3.178.1 to 170.3.179.254170.3.179.255510
219170.3.180.0/23170.3.180.1 to 170.3.181.254170.3.181.255510
220170.3.182.0/23170.3.182.1 to 170.3.183.254170.3.183.255510
221170.3.184.0/23170.3.184.1 to 170.3.185.254170.3.185.255510
222170.3.186.0/23170.3.186.1 to 170.3.187.254170.3.187.255510
223170.3.188.0/23170.3.188.1 to 170.3.189.254170.3.189.255510
224170.3.190.0/23170.3.190.1 to 170.3.191.254170.3.191.255510
225170.3.192.0/23170.3.192.1 to 170.3.193.254170.3.193.255510
226170.3.194.0/23170.3.194.1 to 170.3.195.254170.3.195.255510
227170.3.196.0/23170.3.196.1 to 170.3.197.254170.3.197.255510
228170.3.198.0/23170.3.198.1 to 170.3.199.254170.3.199.255510
229170.3.200.0/23170.3.200.1 to 170.3.201.254170.3.201.255510
230170.3.202.0/23170.3.202.1 to 170.3.203.254170.3.203.255510
231170.3.204.0/23170.3.204.1 to 170.3.205.254170.3.205.255510
232170.3.206.0/23170.3.206.1 to 170.3.207.254170.3.207.255510
233170.3.208.0/23170.3.208.1 to 170.3.209.254170.3.209.255510
234170.3.210.0/23170.3.210.1 to 170.3.211.254170.3.211.255510
235170.3.212.0/23170.3.212.1 to 170.3.213.254170.3.213.255510
236170.3.214.0/23170.3.214.1 to 170.3.215.254170.3.215.255510
237170.3.216.0/23170.3.216.1 to 170.3.217.254170.3.217.255510
238170.3.218.0/23170.3.218.1 to 170.3.219.254170.3.219.255510
239170.3.220.0/23170.3.220.1 to 170.3.221.254170.3.221.255510
240170.3.222.0/23170.3.222.1 to 170.3.223.254170.3.223.255510
241170.3.224.0/23170.3.224.1 to 170.3.225.254170.3.225.255510
242170.3.226.0/23170.3.226.1 to 170.3.227.254170.3.227.255510
243170.3.228.0/23170.3.228.1 to 170.3.229.254170.3.229.255510
244170.3.230.0/23170.3.230.1 to 170.3.231.254170.3.231.255510
245170.3.232.0/23170.3.232.1 to 170.3.233.254170.3.233.255510
246170.3.234.0/23170.3.234.1 to 170.3.235.254170.3.235.255510
247170.3.236.0/23170.3.236.1 to 170.3.237.254170.3.237.255510
248170.3.238.0/23170.3.238.1 to 170.3.239.254170.3.239.255510
249170.3.240.0/23170.3.240.1 to 170.3.241.254170.3.241.255510
250170.3.242.0/23170.3.242.1 to 170.3.243.254170.3.243.255510
251170.3.244.0/23170.3.244.1 to 170.3.245.254170.3.245.255510
252170.3.246.0/23170.3.246.1 to 170.3.247.254170.3.247.255510
253170.3.248.0/23170.3.248.1 to 170.3.249.254170.3.249.255510
254170.3.250.0/23170.3.250.1 to 170.3.251.254170.3.251.255510
255170.3.252.0/23170.3.252.1 to 170.3.253.254170.3.253.255510
256170.3.254.0/23170.3.254.1 to 170.3.255.254170.3.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses